{% extends 'project/base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" href="{% static 'project/register.css' %}">
{% endblock css %}
{% block title %}Login{% endblock title %}
{% block content %}
{% if user.is_authenticated %}
<div class="wrapper d-flex flex-column align-items-center justify-content-center">
    <div class="box d-flex flex-column justify-content-center align-items-center">
        <h4 class="title">You've logged in</h4>
        <a href="{% url 'project:index' %}">
            <button type="submit" class="btn btn-light btn-auth align-self-center">Back to Home</button>
        </a>
    </div>
</div>
{% else %}
<div class="wrapper d-flex flex-column align-items-center justify-content-center">
    <div class="box d-flex flex-column justify-content-center align-items-center">
        <h4 class="title">Welcome Back!</h4>
        <form action="" method="post" class="d-flex flex-column justify-content-center">
            {% csrf_token %}
            <div class="form-group">
                <label for="username">Username</label>
                <input type="text" class="form-control" name="username" autocomplete="username">
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" class="form-control" name="password" autocomplete="current-password">
            </div>
            {% for message in messages %}
                {% if message.tags == 'info' %}
                    <small class="form-text text-danger form-error mt-0 mb-3">{{ message }}</small> 
                {% endif %}
                {% if message.tags == 'success' %}
                    <small class="form-text text-success form-error mt-0 mb-3">{{ message }}</small> 
                {% endif %}
            {% endfor %}
            <button type="submit" class="btn btn-light btn-auth align-self-center">Login</button>
            <p>Don't have an account? <a href="{% url 'project:registerPage' %}">Sign Up</a></p>
        </form>
    </div>
</div>
{% endif %}
{% endblock content %}
{% block js %}
<script>
    $("input").addClass("form-control")
    $("input").eq(1).attr("placeholder", 'Username...')
    $("input").eq(2).attr("placeholder", 'Enter Password...')
</script>
{% endblock js %}
